=== debian/changelog ===
roguenarok (1.0-3) unstable; urgency=medium

  * Team upload
  * Propagate hardening CPPFLAGS
  * Avoid FTBFS when linking with -Wl,--as-needed

 -- Graham Inggs <ginggs@debian.org>  Wed, 29 Aug 2018 10:06:06 +0000

roguenarok (1.0-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 16:16:11 +0200

roguenarok (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #857726)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Mar 2017 13:26:01 +0100
