=== debian/control ===
Source: roguenarok
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/roguenarok
Vcs-Git: https://salsa.debian.org/med-team/roguenarok.git
Homepage: https://github.com/aberer/RogueNaRok

Package: roguenarok
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: versatile and scalable algorithm for rogue taxon identification
 RogueNaRok is a versatile and scalable algorithm for rogue taxon
 identification. It also includes implementations of the maximum agreement
 subtree, leaf stability index and taxonomic instability index.
