=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	mv RogueNaRok roguenarok-single
	make clean
	dh_auto_build -- mode=parallel
	mv RogueNaRok-parallel roguenarok-parallel
