## roguenarok 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 CC = gcc 
 
-CFLAGS = -Wall -D_GNU_SOURCE # -DNDEBUG
+CFLAGS = -Wall -D_GNU_SOURCE
 LFLAGS = -lm
 
 ifeq ($(mode), debug)
  CFLAGS += -g
 else
- CFLAGS += -O3 # -march=native
+ CFLAGS += -O3 -DNDEBUG # -march=native
 ifeq ($(mode), profile)
  CFLAGS += -pg -g
 endif
@@ -33,20 +33,20 @@
 prune-objs = rnr-prune.o common.o Tree.o BitVector.o HashTable.o  legacy.o newFunctions.o List.o
 
 rnr-lsi: $(lsi-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 rnr-tii: $(tii-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS)  -o $@ $^ $(LFLAGS) 
 rnr-mast: $(mast-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 rnr-prune: $(prune-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 
 ifeq ($(mode),parallel)
 RogueNaRok: $(rnr-objs)
-	$(CC) $(LFLAGS) -o $@-parallel   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@-parallel $^ $(LFLAGS) 
 else
 RogueNaRok: $(rnr-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 endif
 
 %.o : %.c $(DEPS)
