=== debian/changelog ===
roguenarok (1.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097803)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 20:36:46 +0300

roguenarok (1.0.1-3) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 14:02:56 +0100

roguenarok (1.0.1-2) unstable; urgency=medium

  * Team Upload.
  * Remove d/tests/data since upstream vendors the same as example in source
  * d/examples: Install examples/* instead
  * d/p/hardening.patch: Append options to CFLAGS and pass hardening
    options properly to vendor dbg and fix blhc
  * d/rules: s/make/$(MAKE)/g
  * d/p/fix-manpage-call-and-help-exit-code.patch
    + Help  option path is called with a relative path in current
      dir, remove the relative dir path in help display
    + Exits with abort() after printing help, exit with 0 instead
  * Update manpages

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Oct 2021 20:22:14 +0530

roguenarok (1.0.1-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Adapt autopkgtest to safety means of new version

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 10:57:07 +0200

roguenarok (1.0-4) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Update metadata with ref to conda

  [ Pranav Ballaney ]
  * Install examples
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Fix gcc-10 FTBFS (Closes: #957768)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 27 Jul 2020 16:36:13 +0530
