=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 13), debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/roguenarok
 Vcs-Git: https://salsa.debian.org/med-team/roguenarok.git
 Homepage: https://github.com/aberer/RogueNaRok
+Rules-Requires-Root: no
 
 Package: roguenarok
 Architecture: any
