=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	mv RogueNaRok roguenarok-single
-	make clean
+	$(MAKE) clean
 	dh_auto_build -- mode=parallel
 	mv RogueNaRok-parallel roguenarok-parallel
