=== debian/watch ===
version=4

https://github.com/aberer/RogueNaRok/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
